For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
          • GETGet Database Status
          • GETGet Correlation Data
          • GETGet Correlation Batch Data
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTEvent-Driven Sync (EDRTS)Database Status Job Details

Get Database Status

GET
https://ebs.feedonomics.com/catalog/rest.php/db/:db_id/status
GET
/catalog/rest.php/db/:db_id/status
$curl https://ebs.feedonomics.com/catalog/rest.php/db/102345/status \
> -H "x-api-key: <apiKey>"
1{
2 "status": "success",
3 "data": {
4 "requests_in_queue": 2,
5 "last_processed_job": {
6 "id": "1428ebcf7cdfd213",
7 "received_timestamp": "2024-04-22T10:15:00-04:00",
8 "processed_timestamp": "2024-04-22T10:15:30-04:00",
9 "processing_time": 30,
10 "details_url": "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213"
11 }
12 }
13}
Get general database status information such as outstanding requests in queue and most recently processed job.
Was this page helpful?
Previous

Delete Records

Next

Get Correlation Data

Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

db_idintegerRequired
Unique ID of the database

Response

OK
statusstringDefaults to success
API response status.
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
5XX
Server Error
502
Bad Gateway Error